=begin pod

=TITLE class X::IO::Unlink

=SUBTITLE Error while trying to remove a file

    class X::IO::Unlink does X::IO is Exception

Error class for failed L<&unlink> operation.

A typical error message is

    Failed to remove the file 'secret': Permission defined

=head1 Methods

=head2 method path

Returns the path that L<&unlink> failed to delete.

=end pod
